# This macro is needed at the start for building on EL6
%{?nodejs_find_provides_and_requires}

%global enable_tests 0

%global barename yargs

Name:               nodejs-yargs
Version:            3.24.0
Release:            1%{?dist}
Summary:            Light-weight option parsing with an argv hash

Group:              Development/Libraries
License:            MIT
URL:                https://www.npmjs.org/package/yargs
Source0:            http://registry.npmjs.org/%{barename}/-/%{barename}-%{version}.tgz
BuildArch:          noarch
%if 0%{?fedora} >= 19
ExclusiveArch:      %{nodejs_arches} noarch
%else
ExclusiveArch:      %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:      nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:      npm(hashish)
BuildRequires:      npm(chai)
BuildRequires:      npm(minimist)
BuildRequires:      npm(mocha)
%endif


%description
Yargs be a node.js library fer hearties tryin' ter parse optstrings against
their will where even the boo box be not enough to coerce them. This here
module is fer scallywags lookin' ter plunder all the sunken -shipz of their
--treasures thru program usage but be tired of optstrings disincling to
acquiesce to yer requests.

With yargs, ye be havin' a map that leads straight to yer treasure! Treasure of
course, being a simple option hash.

%prep
%setup -q -n package

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/yargs
cp -pr completion.sh.hbs index.js lib locales package.json \
    %{buildroot}%{nodejs_sitelib}/yargs


%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
mocha -R nyan
%endif


%files
%doc CHANGELOG.md LICENSE README.md 
%{nodejs_sitelib}/yargs/

%changelog
* Thu Sep 10 2015 Troy Dawson <tdawson@redhat.com> - 3.24.0-1
- Update to 3.24.0

* Fri Jan 09 2015 Ralph Bean <rbean@redhat.com> - 1.3.3-1
- Update to latest upstream for RHBZ#1177619.

* Tue Jul 22 2014 Ralph Bean <rbean@redhat.com> - 1.2.6-1
- Initial packaging for Fedora.
